from aws_lambda_powertools.utilities.typing import LambdaContext
from layercake.dynamodb import DynamoDBPersistenceLayer, PartitionKey

import events.assign_tenant_cnpj as app


def test_assign_tenant_cnpj(
    dynamodb_seeds,
    dynamodb_persistence_layer: DynamoDBPersistenceLayer,
    lambda_context: LambdaContext,
):
    event = {
        'detail': {
            'new_image': {
                'id': '9omWNKymwU5U4aeun6mWzZ',
                'cnpj': '15608435000190',
                'email': 'sergio@somosbeta.com.br',
            }
        }
    }

    assert app.lambda_handler(event, lambda_context)  # type: ignore

    r = dynamodb_persistence_layer.collection.query(
        PartitionKey('9omWNKymwU5U4aeun6mWzZ')
    )
    assert 2 == len(r['items'])
